Name:           python-cairocffi
Version:        0.5.1
Release:        1%{?dist}
Group:          Development/Libraries
Summary:        cffi-based cairo bindings for Python
License:        BSD
URL:            https://pypi.python.org/pypi/cairocffi/
Source0:        https://github.com/SimonSapin/cairocffi/archive/v%{version}.tar.gz
Patch0:         cairocffi-0.5.1-utf8.patch
BuildArch:      noarch

BuildRequires:  python2-devel python-setuptools

Requires:       python-cffi cairo gdkpixbuf-2

# Do not check .so files in the python_sitelib directory
# or any files in the application's directory for provides
%global __provides_exclude_from ^(%{python_sitearch}/.*\\.so|%{_datadir}/myapp/.*)$

%description
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of
Python bindings and object-oriented API for cairo.  Cairo is a 2D
vector graphics library with support for multiple backends including
image buffers, PNG, PostScript, PDF, and SVG file output.

%prep
%setup -q -n cairocffi-%{version}
%patch0 -p1 -b .utf8

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

%files
%doc LICENSE CHANGES README.rst docs
%{python_sitelib}/*

%changelog
* Sun Jul 21 2013 Eric Smith <brouhaha@fedoraproject.org> 0.5.1-1
- initial version
